Skip to main content
PATCH
/
contracts
/
v1
/
{id}
/
terminate
Terminate a contract
curl --request PATCH \
  --url https://api.spacebring.com/contracts/v1/{id}/terminate \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reason": "forceMajeure"
}
'
{
  "message": "<string>",
  "type": "<string>"
}

Authorizations

Authorization
string
header
required

See our authentication documentation for how to authorize your requests

Headers

spacebring-network-id
string<uuid>

The id of the network. Required when using bearer token authentication

Path Parameters

id
string<uuid>
required

The id of the contract.

Body

application/json
reason
enum<string>
required

The reason for terminating the contract.

Available options:
forceMajeure,
mutualAgreement,
other,
policyViolation,
productUnsatisfactory

Response

No Content